- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# fxBank Struct Reference

`#include <vstfxstore.h>`

List of all members.

## Public Attributes
VstInt32 | chunkMagic
| 'CcnK'
VstInt32 | byteSize
| size of this chunk, excl. magic + byteSize
VstInt32 | fxMagic
| 'FxBk' (regular) or 'FBCh' (opaque chunk)
VstInt32 | version
| format version (1 or 2)
VstInt32 | fxID
| fx unique ID
VstInt32 | fxVersion
| fx version
VstInt32 | numPrograms
| number of programs
VstInt32 | currentProgram
| version 2: current program number
char | future [124]
| reserved, should be zero
union {
fxProgram programs [1]
| variable number of programs
struct {
VstInt32 size
| size of bank data
char chunk [1]
| variable sized array with opaque bank data
} data
| bank chunk data
} | content
| bank content depending on fxMagic

## Detailed Description

Bank (fxb) structure.

## Member Data Documentation

VstInt32 fxBank::byteSize

size of this chunk, excl. magic + byteSize

char fxBank::chunk[1]

variable sized array with opaque bank data

VstInt32 fxBank::chunkMagic

'CcnK'

union { ... } fxBank::content

bank content depending on fxMagic

VstInt32 fxBank::currentProgram

version 2: current program number

struct { ... } fxBank::data

bank chunk data

char fxBank::future[124]

reserved, should be zero

VstInt32 fxBank::fxID

fx unique ID

VstInt32 fxBank::fxMagic

'FxBk' (regular) or 'FBCh' (opaque chunk)

VstInt32 fxBank::fxVersion

fx version

VstInt32 fxBank::numPrograms

number of programs

fxProgram fxBank::programs[1]

variable number of programs

VstInt32 fxBank::size

size of bank data

VstInt32 fxBank::version

format version (1 or 2)

The documentation for this struct was generated from the following file:

- vstfxstore.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.